import { parseArgs, Arg } from "./src/arg";
import { promptForMissingOption } from "./src/prompt";
import { createProject } from "./src/templates";


export async function cli(args: string[]) {
    let options: Arg = parseArgs(args);
    options = await promptForMissingOption(options);
    await createProject(options);
}