

import execa from "execa";
import { Arg } from "./arg";

export async function initGit(options: Arg) {
    const result = await execa('git', ['init'],{
        cwd: options.targetDirectory
    });
    if (result.failed) {
        return Promise.reject(new Error('failed to initialize git'));
    };
    return;
}